Bug 308201 - KWin crashes when changing screens via xrandr (firefox presence is claimed to be a good trigger)
Summary: KWin crashes when changing screens via xrandr (firefox presence is claimed to...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: 4.9.2
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
: 311269 313765 315144 315477 318328 318734 319255 319847 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-10-10 21:31 UTC by Thilo-Alexander Ginkel
Modified: 2013-05-15 06:06 UTC (History)
19 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.3


Attachments
New crash information added by DrKonqi (5.09 KB, text/plain)
2012-11-13 08:58 UTC, Paweł
Details
New crash information added by DrKonqi (5.09 KB, text/plain)
2013-01-07 04:51 UTC, Matthew Dawson
Details
New crash information added by DrKonqi (5.50 KB, text/plain)
2013-01-08 11:16 UTC, Stefan Hepp
Details
New crash information added by DrKonqi (3.71 KB, text/plain)
2013-01-25 11:19 UTC, marcela maslanova
Details
New crash information added by DrKonqi (11.32 KB, text/plain)
2013-02-03 23:06 UTC, Elias Probst
Details
This is not a fixing patch but a debug tryout (1.32 KB, patch)
2013-02-04 00:06 UTC, Thomas Lübking
Details
New crash information added by DrKonqi (4.56 KB, text/plain)
2013-02-08 14:42 UTC, Joshua Eckroth
Details
New crash information added by DrKonqi (4.56 KB, text/plain)
2013-02-08 15:17 UTC, Joshua Eckroth
Details
New crash information added by DrKonqi (4.56 KB, text/plain)
2013-02-08 15:17 UTC, Joshua Eckroth
Details
New crash information added by DrKonqi (3.47 KB, text/plain)
2013-02-13 10:29 UTC, Māris Nartišs
Details
New crash information added by DrKonqi (4.88 KB, text/plain)
2013-04-08 08:22 UTC, shaddowy2
Details
New crash information added by DrKonqi (4.24 KB, text/plain)
2013-04-10 18:29 UTC, Martin Holec
Details
New crash information added by DrKonqi (4.87 KB, text/plain)
2013-04-15 13:49 UTC, Ralf Jung
Details
New crash information added by DrKonqi (3.49 KB, text/plain)
2013-04-16 05:16 UTC, Dima Ryazanov
Details
New crash information added by DrKonqi (3.62 KB, text/plain)
2013-04-29 13:23 UTC, Frans-Jan v. Steenbeek
Details
validation detection test * NO FIX! * (1.98 KB, patch)
2013-05-03 14:10 UTC, Thomas Lübking
Details
validation detection test * NO FIX! * (1.97 KB, patch)
2013-05-03 17:09 UTC, Thomas Lübking
Details
New crash information added by DrKonqi (5.81 KB, text/plain)
2013-05-03 17:36 UTC, Toralf Förster
Details
New crash information added by DrKonqi (5.84 KB, text/plain)
2013-05-03 18:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thilo-Alexander Ginkel 2012-10-10 21:31:23 UTC
Application: kwin (4.9.2)
KDE Platform Version: 4.9.2
Qt Version: 4.8.2
Operating System: Linux 3.4.10 x86_64
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:

I after docking my laptop I run the following command sequence to enable my external monitors:

        /usr/bin/numlockx on
        /usr/bin/xrandr -d :0.0 --output LVDS1 --off --output HDMI3 --mode 1600x1200 --primary --auto
        /usr/bin/xrandr -d :0.0 --output HDMI2 --mode 1600x1200 --right-of HDMI3 --auto

This causes KWin to crash with a pretty high probability. While the stack trace looks somewhat similar to that in bug #299582, I am already running KDE 4.9.2 where this bug has already been fixed, so I don't think that this is a duplicate of that bug -- maybe a regression.

The crash can be reproduced some of the time.

-- Backtrace:
Application: KWin (kwin), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f191c2ac780 (LWP 12365))]

Thread 4 (Thread 0x7f190d7c2700 (LWP 12371)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f192c548222 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f192c548259 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f1924362e9a in start_thread (arg=0x7f190d7c2700) at pthread_create.c:308
#4  0x00007f192f656dbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f1907fff700 (LWP 12372)):
#0  0x00007f192f650123 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f192b2ad846 in qt_safe_select (nfds=23, fdread=0x7f1900000ac8, fdwrite=0x7f1900000d60, fdexcept=0x7f1900000ff8, orig_timeout=<optimized out>) at kernel/qcore_unix.cpp:83
#2  0x00007f192b2b2c92 in QEventDispatcherUNIXPrivate::doSelect (this=0x7f1900000910, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:223
#3  0x00007f192b2b3183 in QEventDispatcherUNIX::processEvents (this=0x7f19000008f0, flags=...) at kernel/qeventdispatcher_unix.cpp:926
#4  0x00007f192b27fe42 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f192b280097 in QEventLoop::exec (this=0x7f1907ffedd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f192b17f057 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f192b25fb4f in QInotifyFileSystemWatcherEngine::run (this=0x20c46e0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f192b18207b in QThreadPrivate::start (arg=0x20c46e0) at thread/qthread_unix.cpp:307
#9  0x00007f1924362e9a in start_thread (arg=0x7f1907fff700) at pthread_create.c:308
#10 0x00007f192f656dbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f1914ec1700 (LWP 16745)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007f192b1824ef in wait (time=30000, this=0x1bf2ca0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1bf2c18, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f192b17566f in QThreadPoolThread::run (this=0x1bf2d80) at concurrent/qthreadpool.cpp:141
#4  0x00007f192b18207b in QThreadPrivate::start (arg=0x1bf2d80) at thread/qthread_unix.cpp:307
#5  0x00007f1924362e9a in start_thread (arg=0x7f1914ec1700) at pthread_create.c:308
#6  0x00007f192f656dbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f191c2ac780 (LWP 12365)):
[KCrash Handler]
#6  0x00007f192f9f8425 in KWin::EffectsHandlerImpl::buildQuads (this=0x24ce5f0, w=0x20e8a10, quadList=...) at ../../kwin/effects.cpp:321
#7  0x00007f192f9f842b in KWin::EffectsHandlerImpl::buildQuads (this=0x24ce5f0, w=0x20e8a10, quadList=...) at ../../kwin/effects.cpp:321
#8  0x00007f192f9d972f in KWin::Scene::Window::buildQuads (this=0x2100ea0, force=<optimized out>) at ../../kwin/scene.cpp:620
#9  0x00007f192f9f6671 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at ../../kwin/effects.cpp:1550
#10 0x00007f192f993658 in KWin::Shadow::updateShadow (this=<optimized out>) at ../../kwin/shadow.cpp:216
#11 0x00007f192f9d5790 in KWin::Toplevel::getShadow (this=0x23a9a70) at ../../kwin/toplevel.cpp:369
#12 0x00007f192f99170a in KWin::Toplevel::propertyNotifyEvent (this=0x23a9a70, e=<optimized out>) at ../../kwin/events.cpp:1663
#13 0x00007f192f991749 in KWin::Client::propertyNotifyEvent (this=0x23a9a70, e=0x7fff00f794a0) at ../../kwin/events.cpp:824
#14 0x00007f192f990ca6 in KWin::Client::windowEvent (this=0x23a9a70, e=0x7fff00f794a0) at ../../kwin/events.cpp:595
#15 0x00007f192f991d4d in KWin::Workspace::workspaceEvent (this=0x1bf24d0, e=0x7fff00f794a0) at ../../kwin/events.cpp:294
#16 0x00007f192f983898 in KWin::Application::x11EventFilter (this=0x7fff00f79770, e=0x7fff00f794a0) at ../../kwin/main.cpp:362
#17 0x00007f192a671aa5 in qt_x11EventFilter (ev=0x7fff00f794a0) at kernel/qapplication_x11.cpp:441
#18 qt_x11EventFilter (ev=0x7fff00f794a0) at kernel/qapplication_x11.cpp:429
#19 0x00007f192a680eb8 in QApplication::x11ProcessEvent (this=0x7fff00f79770, event=0x7fff00f794a0) at kernel/qapplication_x11.cpp:3444
#20 0x00007f192a6ababa in QEventDispatcherX11::processEvents (this=0x1aa0ad0, flags=...) at kernel/qeventdispatcher_x11.cpp:132
#21 0x00007f192b27fe42 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#22 0x00007f192b280097 in QEventLoop::exec (this=0x7fff00f796f0, flags=...) at kernel/qeventloop.cpp:204
#23 0x00007f192b2853e7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#24 0x00007f192f985f43 in kdemain (argc=<optimized out>, argv=<optimized out>) at ../../kwin/main.cpp:545
#25 0x00007f192f58476d in __libc_start_main (main=0x400630 <main(int, char**)>, argc=3, ubp_av=0x7fff00f79e68, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff00f79e58) at libc-start.c:226
#26 0x0000000000400661 in _start ()

Possible duplicates by query: bug 299582, bug 294451.

Reported using DrKonqi
Comment 1 Thomas Lübking 2012-10-10 21:56:15 UTC
Smells heavily related, at least the iterator will be invalid for some reason.

THe backtrace is always the same? ( Ubuntu's libxrandr is actually prone to crash on sth. else when altering the resolution, see bug #xrr-ubuntu )
Comment 2 Thilo-Alexander Ginkel 2012-10-10 22:31:55 UTC
On Wed, Oct 10, 2012 at 11:56 PM, Thomas Lübking
<thomas.luebking@gmail.com> wrote:
> https://bugs.kde.org/show_bug.cgi?id=308201
>
> --- Comment #1 from Thomas Lübking <thomas.luebking@gmail.com> ---
> Smells heavily related, at least the iterator will be invalid for some reason.
>
> THe backtrace is always the same? ( Ubuntu's libxrandr is actually prone to
> crash on sth. else when altering the resolution, see bug #xrr-ubuntu )

The backtrace is almost identical - except for one or two top frame elements:

#6  0x00007f605517b425 in KWin::EffectsHandlerImpl::buildQuads
(this=0x1a8cf00, w=0x183eaf0, quadList=...) at
../../kwin/effects.cpp:321
#7  0x00007f605517b42b in KWin::EffectsHandlerImpl::buildQuads
(this=0x1a8cf00, w=0x183eaf0, quadList=...) at
../../kwin/effects.cpp:321
#8  0x00007f605515c72f in KWin::Scene::Window::buildQuads
(this=0x1c3d0b0, force=<optimized out>) at ../../kwin/scene.cpp:620
#9  0x00007f6055179671 in KWin::EffectWindowImpl::buildQuads
(this=<optimized out>, force=<optimized out>) at
../../kwin/effects.cpp:1550
[...]

#6  0x0000000001715680 in ?? ()
#7  0x00007f685149c42b in KWin::EffectsHandlerImpl::buildQuads
(this=0x1a74a90, w=0x191dc00, quadList=...) at
../../kwin/effects.cpp:321
#8  0x00007f685149c42b in KWin::EffectsHandlerImpl::buildQuads
(this=0x1a74a90, w=0x191dc00, quadList=...) at
../../kwin/effects.cpp:321
#9  0x00007f685147d72f in KWin::Scene::Window::buildQuads
(this=0x1a80e70, force=<optimized out>) at ../../kwin/scene.cpp:620
#10 0x00007f685149a671 in KWin::EffectWindowImpl::buildQuads
(this=<optimized out>, force=<optimized out>) at
../../kwin/effects.cpp:1550
[...]

The bad news is that this did not happen with earlier KDE versions (it
started with 4.9.x 4.8.x was fine)... Probably even 4.9.0 was still
ok, but I do not remember for sure.

Regards,
Thilo
Comment 3 Thomas Lübking 2012-10-10 23:44:05 UTC
Previous versions simply restarted the compositor on geometry changes.

Does is also happen if you "sleep 5" between the two xrandr calls?
Also please post the output of "qdbus org.kde.kwin /KWin supportInformation"
Comment 4 Thilo-Alexander Ginkel 2012-10-11 06:50:23 UTC
On Thu, Oct 11, 2012 at 1:44 AM, Thomas Lübking
<thomas.luebking@gmail.com> wrote:
> Previous versions simply restarted the compositor on geometry changes.
>
> Does is also happen if you "sleep 5" between the two xrandr calls?

No, even a "sleep 2" works around the issue.

> Also please post the output of "qdbus org.kde.kwin /KWin supportInformation"

http://paste.kde.org/566498/

Regards,
Thilo
Comment 5 Paweł 2012-11-13 08:58:51 UTC
Created attachment 75208 [details]
New crash information added by DrKonqi

kwin (4.9.3) on KDE Platform 4.9.3 using Qt 4.8.3

I had youtube launched and I was playing Xonotic same time. Kwin probably crashed when I changed in game resolution and effects. I'm running nvidia proprietary drivers.

-- Backtrace (Reduced):
#6  0x00007f6e4be15235 in KWin::EffectsHandlerImpl::buildQuads (this=0x1bc9260, w=0x1bcac60, quadList=...) at ../../kwin/effects.cpp:321
#7  0x00007f6e4be1523b in KWin::EffectsHandlerImpl::buildQuads (this=0x1bc9260, w=0x1bcac60, quadList=...) at ../../kwin/effects.cpp:321
#8  0x00007f6e4bdf87cc in KWin::Scene::Window::buildQuads (this=0x1472b90, force=<optimized out>) at ../../kwin/scene.cpp:620
#9  0x00007f6e4be135a1 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at ../../kwin/effects.cpp:1550
#10 0x00007f6e4bdb7ea5 in KWin::Shadow::updateShadow (this=0x17f8de0) at ../../kwin/shadow.cpp:216
Comment 6 Thomas Lübking 2012-11-14 00:29:19 UTC
Can anyone encoutering this somewhat often apply a small patch to kwin?
(I'd like to skip calling XRRUpdateConfiguration in events.cpp to rule out that this is a heap corruption)

Does anybody attached to the bug does NOT use Ubuntu?
Comment 7 Thomas Lübking 2012-12-06 20:16:08 UTC
*** Bug 311269 has been marked as a duplicate of this bug. ***
Comment 8 Matthew Dawson 2013-01-07 04:51:21 UTC
Created attachment 76262 [details]
New crash information added by DrKonqi

kwin (4.9.3) on KDE Platform 4.9.3 using Qt 4.8.2

This also happened to me.  I'm running this on Gentoo.  I can try a patch against kwin if you wish.

-- Backtrace (Reduced):
#7  0x00007f9cfed1e19b in KWin::EffectsHandlerImpl::buildQuads (this=0x264f680, w=0x2dfac30, quadList=...) at /usr/src/debug/kde-base/kwin-4.9.3/kwin-4.9.3/kwin/effects.cpp:321
#8  0x00007f9cfed1e19b in KWin::EffectsHandlerImpl::buildQuads (this=0x264f680, w=0x2dfac30, quadList=...) at /usr/src/debug/kde-base/kwin-4.9.3/kwin-4.9.3/kwin/effects.cpp:321
#9  0x00007f9cfed1e19b in KWin::EffectsHandlerImpl::buildQuads (this=0x264f680, w=0x2dfac30, quadList=...) at /usr/src/debug/kde-base/kwin-4.9.3/kwin-4.9.3/kwin/effects.cpp:321
#10 0x00007f9cfed01309 in KWin::Scene::Window::buildQuads (this=0x2a1be40, force=<optimized out>) at /usr/src/debug/kde-base/kwin-4.9.3/kwin-4.9.3/kwin/scene.cpp:620
#11 0x00007f9cfed1c351 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at /usr/src/debug/kde-base/kwin-4.9.3/kwin-4.9.3/kwin/effects.cpp:1550
Comment 9 Stefan Hepp 2013-01-08 11:16:12 UTC
Created attachment 76304 [details]
New crash information added by DrKonqi

kwin (4.9.3) on KDE Platform 4.9.3 using Qt 4.8.3

- What I was doing when the application crashed:
Waking up the laptop from sleep and connected an external monitor.

- Custom settings of the application:
I am using the kscreen plugin described here to manage my monitors: http://www.afiestas.org/screen-management-got-magic/

I get a kwin crash regularly when I attach a monitor and kscreen tries to change the settings (which doesn't work though, all screens go black and it requires some fiddling with xrandr to get them back). 
However, in contrast to the original report, I never got a crash when I am just using xrandr on the console to enable the external monitor, or when I use the standard KDE display settings to change the monitor setup. The guys from Kscreen wrote that they (want to) use a black overlay over the desktop to hide Plasma flickering, maybe this is somehow related?

-- Backtrace (Reduced):
#7  0x00007fb9c5c7723b in KWin::EffectsHandlerImpl::buildQuads (this=0x1966ef0, w=0x14d44b0, quadList=...) at ../../kwin/effects.cpp:321
#8  0x00007fb9c5c5a7cc in KWin::Scene::Window::buildQuads (this=0x1d62240, force=<optimized out>) at ../../kwin/scene.cpp:620
#9  0x00007fb9c5c755a1 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at ../../kwin/effects.cpp:1550
#10 0x00007fb9c5c19ea5 in KWin::Shadow::updateShadow (this=0x1b6fb10) at ../../kwin/shadow.cpp:216
#11 0x00007fb9c5c56d4f in KWin::Toplevel::getShadow (this=0x14a9290) at ../../kwin/toplevel.cpp:369
Comment 10 Thomas Lübking 2013-01-23 14:56:56 UTC
*** Bug 313765 has been marked as a duplicate of this bug. ***
Comment 11 Thomas Lübking 2013-01-23 15:00:30 UTC
With this and bug #299582 i guess there's somewhere some memory corruption.

Anyone encoutering this bug (on a regular base) able to run kwin in valgrind, cause the crash and attach the log?
Comment 12 marcela maslanova 2013-01-25 11:19:57 UTC
Created attachment 76706 [details]
New crash information added by DrKonqi

kwin (4.9.97) on KDE Platform 4.9.97 using Qt 4.8.4

- What I was doing when the application crashed:
I played with new Kscreen, but the crash happened after attaching second monitor for the third time. I saw this crash even before with old kscreen.

-- Backtrace (Reduced):
#6  0x00007fab10359e9b in KWin::EffectsHandlerImpl::buildQuads(KWin::EffectWindow*, KWin::WindowQuadList&) () from /lib64/libkdeinit4_kwin.so
#7  0x00007fab10359e9b in KWin::EffectsHandlerImpl::buildQuads(KWin::EffectWindow*, KWin::WindowQuadList&) () from /lib64/libkdeinit4_kwin.so
#8  0x00007fab1033b54c in KWin::Scene::Window::buildQuads(bool) const () from /lib64/libkdeinit4_kwin.so
#9  0x00007fab10357f11 in KWin::EffectWindowImpl::buildQuads(bool) const () from /lib64/libkdeinit4_kwin.so
#10 0x00007fab102f86c5 in KWin::Shadow::updateShadow() () from /lib64/libkdeinit4_kwin.so
Comment 13 Elias Probst 2013-02-03 23:06:12 UTC
Created attachment 76891 [details]
New crash information added by DrKonqi

kwin (4.9.98) on KDE Platform 4.9.98 using Qt 4.8.4

- What I was doing when the application crashed:
I have kscreen configured to automatically change to the external display when connecting it while disabling the laptop's internal display.
Every time I (un-)plug the display, kwin crashes shortly after.

- Custom settings of the application:
This crash is 100% of the time reproducable at the moment, but only when running "kwrite" while having the following rule in kwinrulesrc for it:
[1]
Description=Window settings for kwrite
clientmachine=moria
clientmachinematch=0
maximizevert=true
maximizevertrule=2
title=Untitled – KWrite
titlematch=0
types=1
windowrole=mainwindow#1
windowrolematch=1
wmclass=kwrite
wmclasscomplete=false
wmclassmatch=1


kwin supportinformation:
Version
=======
KWin version: 4.9.98
KDE SC version (runtime): 4.9.98
KDE SC version (compile): 4.9.98
Qt Version: 4.8.4

Options
=======
focusPolicy: 1
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 750
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
activeMouseScreen: true
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
showDesktopIsMinimizeAll: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
legacyFullscreenSupport: false
operationTitlebarDblClick: 
commandActiveTitlebar1: 0
commandActiveTitlebar2: 30
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 30
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 31
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777250
showGeometryTip: false
condensedTitle: false
electricBorders: false
electricBorderDelay: 150
electricBorderCooldown: 350
electricBorderPushbackPixels: 1
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
inactiveTabsSkipTaskbar: false
autogroupSimilarWindows: false
autogroupInForeground: true
compositingMode: 1
useCompositing: true
compositingInitialized: true
hiddenPreviews: 1
unredirectFullscreen: true
glSmoothScale: 1
glVSync: false
colorCorrected: false
xrenderSmoothScale: false
maxFpsInterval: 17
refreshRate: 0
vBlankTime: 6144
glDirect: true
glStrictBinding: false
glStrictBindingFollowsDriver: true
glLegacy: false

Screens
=======
Multi-Head: no
Number of Screens: 1
Screen 0 Geometry: 0,0,2560x1440

Compositing
===========
Qt Graphics System: raster
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile 
OpenGL version string: 3.0 Mesa 9.0.1
Driver: Intel
GPU class: SandyBridge
OpenGL version: 3.0
Mesa version: 9.0.1
X server version: 1.13.1
Linux kernel version: 3.7.3
Direct rendering: yes
Requires strict binding: no
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used

Loaded Effects:
---------------
kwin4_effect_zoom
kwin4_effect_dimscreen
kwin4_effect_trackmouse
kwin4_effect_login
kwin4_effect_slidingpopups
kwin4_effect_wobblywindows
kwin4_effect_coverswitch
kwin4_effect_minimizeanimation
kwin4_effect_translucency
kwin4_effect_screenshot
kwin4_effect_cube
kwin4_effect_slide
kwin4_effect_slideback
kwin4_effect_desktopgrid
kwin4_effect_flipswitch
kwin4_effect_glide
kwin4_effect_maximize
kwin4_effect_fade
kwin4_effect_sheet
kwin4_effect_dialogparent
kwin4_effect_highlightwindow
kwin4_effect_taskbarthumbnail
kwin4_effect_presentwindows
kwin4_effect_blur
kwin4_effect_logout
kwin4_effect_dashboard
kwin4_effect_outline
kwin4_effect_startupfeedback

Currently Active Effects:
-------------------------
kwin4_effect_blur

Effect Settings:
----------------
kwin4_effect_zoom:
zoomFactor: 1.2
mousePointer: 0
mouseTracking: 0
enableFocusTracking: false
followFocus: true
focusDelay: 350
moveFactor: 20
targetZoom: 1

kwin4_effect_dimscreen:

kwin4_effect_trackmouse:
modifiers: 335544320
mousePolling: true

kwin4_effect_login:
fadeToBlack: false

kwin4_effect_slidingpopups:
fadeInTime: 250
fadeOutTime: 250

kwin4_effect_wobblywindows:
stiffness: 0.1
drag: 0.85
moveFactor: 0.1
xTesselation: 20
yTesselation: 20
minVelocity: 0
maxVelocity: 1000
stopVelocity: 0.5
minAcceleration: 0
maxAcceleration: 1000
stopAcceleration: 0.5
moveEffectEnabled: true
openEffectEnabled: false
closeEffectEnabled: false
moveWobble: true
resizeWobble: true

kwin4_effect_coverswitch:
animationDuration: 200
animateSwitch: true
animateStart: true
animateStop: true
reflection: true
windowTitle: true
zPosition: 900
dynamicThumbnails: true
thumbnailWindows: 8
primaryTabBox: true
secondaryTabBox: false

kwin4_effect_minimizeanimation:

kwin4_effect_translucency:
decoration: 1
moveResize: 0.8
dialogs: 1
inactive: 1
comboboxPopups: 1
menus: 1
individualMenuConfig: false
dropDownMenus: 1
popupMenus: 1
tornOffMenus: 1

kwin4_effect_screenshot:

kwin4_effect_cube:
cubeOpacity: 0.800000011920929
opacityDesktopOnly: false
displayDesktopName: true
reflection: true
rotationDuration: 500
backgroundColor: #000000
capColor: #d5d1cf
paintCaps: true
closeOnMouseRelease: true
zPosition: 276
useForTabBox: false
invertKeys: false
invertMouse: false
capDeformationFactor: 0.75
useZOrdering: true
texturedCaps: true

kwin4_effect_slide:

kwin4_effect_slideback:

kwin4_effect_desktopgrid:
zoomDuration: 300
border: 10
desktopNameAlignment: 132
layoutMode: 1
customLayoutRows: 2
usePresentWindows: true

kwin4_effect_flipswitch:
tabBox: false
tabBoxAlternative: false
duration: 200
angle: 30
xPosition: 0.330000013113022
yPosition: 1
windowTitle: true

kwin4_effect_glide:
duration: 350
effect: 0
angle: -90

kwin4_effect_maximize:

kwin4_effect_fade:

kwin4_effect_sheet:
duration: 500

kwin4_effect_dialogparent:
changeTime: 300

kwin4_effect_highlightwindow:

kwin4_effect_taskbarthumbnail:

kwin4_effect_presentwindows:
layoutMode: 0
showCaptions: true
showIcons: true
doNotCloseWindows: false
ignoreMinimized: false
accuracy: 20
fillGaps: true
fadeDuration: 150
showPanel: false
leftButtonWindow: 1
rightButtonWindow: 2
middleButtonWindow: 0
leftButtonDesktop: 2
middleButtonDesktop: 0
rightButtonDesktop: 0
dragToClose: false

kwin4_effect_blur:
blurRadius: 12
cacheTexture: true

kwin4_effect_logout:
useBlur: true

kwin4_effect_dashboard:
brightness: 0.5
saturation: 0.5
blur: false

kwin4_effect_outline:

kwin4_effect_startupfeedback:

-- Backtrace (Reduced):
#7  0x00007f9d42bb202b in KWin::EffectsHandlerImpl::buildQuads (this=0x1847f10, w=0x8af7b0, quadList=...) at /var/tmp/portage/kde-base/kwin-4.9.98/work/kwin-4.9.98/kwin/effects.cpp:329
#8  0x00007f9d42bb202b in KWin::EffectsHandlerImpl::buildQuads (this=0x1847f10, w=0x8af7b0, quadList=...) at /var/tmp/portage/kde-base/kwin-4.9.98/work/kwin-4.9.98/kwin/effects.cpp:329
#9  0x00007f9d42b913af in KWin::Scene::Window::buildQuads (this=0x1541290, force=<optimized out>) at /var/tmp/portage/kde-base/kwin-4.9.98/work/kwin-4.9.98/kwin/scene.cpp:621
#10 0x00007f9d42bb03c1 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at /var/tmp/portage/kde-base/kwin-4.9.98/work/kwin-4.9.98/kwin/effects.cpp:1582
#11 0x00007f9d42b48448 in KWin::Shadow::updateShadow (this=<optimized out>) at /var/tmp/portage/kde-base/kwin-4.9.98/work/kwin-4.9.98/kwin/shadow.cpp:216
Comment 14 Thomas Lübking 2013-02-04 00:06:07 UTC
Created attachment 76892 [details]
This is not a fixing patch but a debug tryout

Splendid. Gentoo user who can reproduce a bug is always a win =)

Attached is a patch, please check whether it prints the warning (you can also turn it into an assert if you prefer)
If yes, we at least know what happens (the list gets damaged by some quad build causing a repaint)
Comment 15 Elias Probst 2013-02-04 00:32:28 UTC
(In reply to comment #14)
> Attached is a patch, please check whether it prints the warning (you can
> also turn it into an assert if you prefer)

The warning is NOT printed (yes, I'm looking at the correct place :) ).
Comment 16 Thomas Lübking 2013-02-04 00:56:22 UTC
(In reply to comment #15)

> The warning is NOT printed (yes, I'm looking at the correct place :) ).

Ok, this list is clean then.
Does it happen with the blur effect DISabled?
If not, what if you enable eg. "Show Paint" or "Show FPS" instead?
Comment 17 Joshua Eckroth 2013-02-08 14:42:52 UTC
Created attachment 77016 [details]
New crash information added by DrKonqi

kwin (4.10.00) on KDE Platform 4.10.00 using Qt 4.8.3

- What I was doing when the application crashed:

Attached an external screen, configured the screen with KDE, and "accepted" the new configuration. Then KWin crashed (but somehow did not appear to actually stop working, or started back up immediately).

-- Backtrace (Reduced):
#7  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#8  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#9  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#10 0x00007f242a175f5c in KWin::Scene::Window::buildQuads (this=0x1452ee0, force=<optimized out>) at ../../kwin/scene.cpp:621
#11 0x00007f242a192971 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at ../../kwin/effects.cpp:1582
Comment 18 Joshua Eckroth 2013-02-08 15:17:11 UTC
Created attachment 77018 [details]
New crash information added by DrKonqi

kwin (4.10.00) on KDE Platform 4.10.00 using Qt 4.8.3

- What I was doing when the application crashed:

Attached an external screen, configured the screen with KDE, and "accepted" the new configuration. Then KWin crashed (but somehow did not appear to actually stop working, or started back up immediately).

-- Backtrace (Reduced):
#7  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#8  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#9  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#10 0x00007f242a175f5c in KWin::Scene::Window::buildQuads (this=0x1452ee0, force=<optimized out>) at ../../kwin/scene.cpp:621
#11 0x00007f242a192971 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at ../../kwin/effects.cpp:1582
Comment 19 Joshua Eckroth 2013-02-08 15:17:11 UTC
Created attachment 77019 [details]
New crash information added by DrKonqi

kwin (4.10.00) on KDE Platform 4.10.00 using Qt 4.8.3

- What I was doing when the application crashed:

Attached an external screen, configured the screen with KDE, and "accepted" the new configuration. Then KWin crashed (but somehow did not appear to actually stop working, or started back up immediately).

-- Backtrace (Reduced):
#7  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#8  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#9  0x00007f242a1948fb in KWin::EffectsHandlerImpl::buildQuads (this=0x148e9e0, w=0x160cfc0, quadList=...) at ../../kwin/effects.cpp:329
#10 0x00007f242a175f5c in KWin::Scene::Window::buildQuads (this=0x1452ee0, force=<optimized out>) at ../../kwin/scene.cpp:621
#11 0x00007f242a192971 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at ../../kwin/effects.cpp:1582
Comment 20 Māris Nartišs 2013-02-13 10:29:51 UTC
Created attachment 77238 [details]
New crash information added by DrKonqi

kwin (4.10.00) on KDE Platform 4.10.00 using Qt 4.8.4

- What I was doing when the application crashed:

Changing resolution after attaching a second output via Nvidia Settings. System was under a high load during resolution change (connected with "plasma-desktop eats 100% CPU in 4.10 due to Qt bug" issue) and resolution change took more than 15 seconds offered to confirm it by Nvidia Settings. When system isn't under load, resolution change works just fine.

-- Backtrace (Reduced):
#6  0x00007faf7b0560b5 in KWin::EffectsHandlerImpl::buildQuads(KWin::EffectWindow*, KWin::WindowQuadList&) () from /usr/lib64/libkdeinit4_kwin.so
#7  0x00007faf7b0560bb in KWin::EffectsHandlerImpl::buildQuads(KWin::EffectWindow*, KWin::WindowQuadList&) () from /usr/lib64/libkdeinit4_kwin.so
#8  0x00007faf7b0353df in KWin::Scene::Window::buildQuads(bool) const () from /usr/lib64/libkdeinit4_kwin.so
#9  0x00007faf7b054451 in KWin::EffectWindowImpl::buildQuads(bool) const () from /usr/lib64/libkdeinit4_kwin.so
#10 0x00007faf7afec478 in KWin::Shadow::updateShadow() () from /usr/lib64/libkdeinit4_kwin.so
Comment 21 Martin Flöser 2013-02-14 16:28:32 UTC
*** Bug 315144 has been marked as a duplicate of this bug. ***
Comment 22 Thomas Lübking 2013-02-19 21:40:47 UTC
*** Bug 315477 has been marked as a duplicate of this bug. ***
Comment 23 shaddowy2 2013-04-08 08:22:10 UTC
Created attachment 78722 [details]
New crash information added by DrKonqi

kwin (4.10.1) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

I connected an external VGA screen for the first time after I installed kscreens. It first didn't work quite well, so I disconnected it. I connected it again and KWin crashed. Afterwards I could use it as expected.

-- Backtrace (Reduced):
#7  0x00007f31b91451bb in KWin::EffectsHandlerImpl::buildQuads (this=0x2da76c0, w=0x2ca49b0, quadList=...) at ../../kwin/effects.cpp:329
#8  0x00007f31b9126d4c in KWin::Scene::Window::buildQuads (this=0x2e3b930, force=<optimized out>) at ../../kwin/scene.cpp:621
#9  0x00007f31b91434a1 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at ../../kwin/effects.cpp:1582
#10 0x00007f31b90e4ce5 in KWin::Shadow::updateShadow (this=0x2cab7e0) at ../../kwin/shadow.cpp:216
#11 0x00007f31b91230bf in KWin::Toplevel::getShadow (this=0x265a7b0) at ../../kwin/toplevel.cpp:346
Comment 24 Martin Holec 2013-04-10 18:29:39 UTC
Created attachment 78780 [details]
New crash information added by DrKonqi

kwin (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:
disconecting laptop from docking station
- Unusual behavior I noticed:
crash

-- Backtrace (Reduced):
#7  0x00007fd6c7a19760 in KWin::EffectsHandlerImpl::buildQuads (this=0x185e710, w=0x19262e0, quadList=...) at /usr/src/debug/kde-workspace-4.10.2/kwin/effects.cpp:329
#8  0x00007fd6c7a19760 in KWin::EffectsHandlerImpl::buildQuads (this=0x185e710, w=0x19262e0, quadList=...) at /usr/src/debug/kde-workspace-4.10.2/kwin/effects.cpp:329
#9  0x00007fd6c79fb4a6 in KWin::Scene::Window::buildQuads (this=0x1df4d10, force=<optimized out>) at /usr/src/debug/kde-workspace-4.10.2/kwin/scene.cpp:621
#10 0x00007fd6c7a14ec1 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at /usr/src/debug/kde-workspace-4.10.2/kwin/effects.cpp:1582
#11 0x00007fd6c79ba346 in KWin::Shadow::updateShadow (this=<optimized out>) at /usr/src/debug/kde-workspace-4.10.2/kwin/shadow.cpp:216
Comment 25 ray-ven 2013-04-14 10:57:57 UTC
kwin crashes here when switching to other screen only, if firefox is running. (since kde 4.9 or so)
Comment 26 Thomas Lübking 2013-04-14 12:51:56 UTC
*** Bug 318328 has been marked as a duplicate of this bug. ***
Comment 27 Ralf Jung 2013-04-15 13:49:09 UTC
Created attachment 78931 [details]
New crash information added by DrKonqi

kwin (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.2

- What I was doing when the application crashed:

I disconnected my external screen and disabled it via xrandr, at the same time enabling the internal one. No application was running except for the KDE session itself.
Debian Testing, Intel Drivers, HD2000.

-- Backtrace (Reduced):
#7  0x00007f521577e3bb in KWin::EffectsHandlerImpl::buildQuads (this=0x7f51f4433250, w=0x7f51f42f57b0, quadList=...) at /home/r/src/kde/kde-stable/kde-sc/kde-workspace/kwin/effects.cpp:329
#8  0x00007f521575f7ac in KWin::Scene::Window::buildQuads (this=0x7f51f40818c0, force=<optimized out>) at /home/r/src/kde/kde-stable/kde-sc/kde-workspace/kwin/scene.cpp:621
#9  0x00007f521577c491 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at /home/r/src/kde/kde-stable/kde-sc/kde-workspace/kwin/effects.cpp:1582
#10 0x00007f521571c5c5 in KWin::Shadow::updateShadow (this=0x7f51f432b770) at /home/r/src/kde/kde-stable/kde-sc/kde-workspace/kwin/shadow.cpp:216
#11 0x00007f521575bf2f in KWin::Toplevel::getShadow (this=0x7f51f4319de0) at /home/r/src/kde/kde-stable/kde-sc/kde-workspace/kwin/toplevel.cpp:346
Comment 28 Ralf Jung 2013-04-15 14:57:37 UTC
> Debian Testing, Intel Drivers, HD2000.
It's actually an HD3000, sorry for the misinformation.
Comment 29 Dima Ryazanov 2013-04-16 05:16:49 UTC
Created attachment 78950 [details]
New crash information added by DrKonqi

kwin (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

I disconnected an external monitor, and KWin crashed. (I didn't have Firefox running.)

-- Backtrace (Reduced):
#7  0x00007f3d868028ab in KWin::EffectsHandlerImpl::buildQuads (this=0x181f570, w=0x14d99a0, quadList=...) at ../../kwin/effects.cpp:329
#8  0x00007f3d867e43ac in KWin::Scene::Window::buildQuads (this=0x17fd6d0, force=<optimized out>) at ../../kwin/scene.cpp:621
#9  0x00007f3d86800b91 in KWin::EffectWindowImpl::buildQuads (this=<optimized out>, force=<optimized out>) at ../../kwin/effects.cpp:1582
#10 0x00007f3d867a20a5 in KWin::Shadow::updateShadow (this=0x199d960) at ../../kwin/shadow.cpp:216
#11 0x00007f3d867e071f in KWin::Toplevel::getShadow (this=0x198a760) at ../../kwin/toplevel.cpp:346
Comment 30 Thomas Lübking 2013-04-22 19:22:29 UTC
*** Bug 318734 has been marked as a duplicate of this bug. ***
Comment 31 Frans-Jan v. Steenbeek 2013-04-29 13:23:06 UTC
Created attachment 79547 [details]
New crash information added by DrKonqi

kwin (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:
Docked Dell laptop into its station, thereby adding two screens.

- Custom settings of the application:
I run kscreen rather than "Display Management change monitor", version 0.0.81. Kscreen "knows" the dock, and the display setup was correctly performed by it.

I was *not* running firefox and this happened after a fresh login, so not much was running anyway. Google Chrome (beta) is the only non-KDE app that was active, and that was in a docked state (no windows open). This is KDE 4.10.2 running on Fedora 18 with everything being up-to-date as the time of writing.

-- Backtrace (Reduced):
#5  0x000000308ecd7045 in KWin::EffectsHandlerImpl::buildQuads(KWin::EffectWindow*, KWin::WindowQuadList&) () from /lib64/libkdeinit4_kwin.so
#6  0x000000308ecd704b in KWin::EffectsHandlerImpl::buildQuads(KWin::EffectWindow*, KWin::WindowQuadList&) () from /lib64/libkdeinit4_kwin.so
#7  0x000000308ecb85bc in KWin::Scene::Window::buildQuads(bool) const () from /lib64/libkdeinit4_kwin.so
#8  0x000000308ecd50c1 in KWin::EffectWindowImpl::buildQuads(bool) const () from /lib64/libkdeinit4_kwin.so
#9  0x000000308ec75425 in KWin::Shadow::updateShadow() () from /lib64/libkdeinit4_kwin.so
Comment 32 Martin Flöser 2013-05-03 07:34:55 UTC
*** Bug 319255 has been marked as a duplicate of this bug. ***
Comment 33 Thomas Lübking 2013-05-03 08:24:15 UTC
bug #319255 mentions a possible OOM condition and a leak in kded
please check the memory distribution of your system if/when you encounter this
Comment 34 misel.mesnjak 2013-05-03 08:34:50 UTC
Can You tell how to go about doing this? I mean this: "memory distribution of your system"

How to obtain one?
Comment 35 ray-ven 2013-05-03 10:26:29 UTC
currently I can't determine when this happens. Got firefox running, switched with and without effects enabled - everything works perfect. But on some days it happens very often and successive, even after restarts.
Comment 36 Thomas Lübking 2013-05-03 12:05:14 UTC
(In reply to comment #34)
> How to obtain one?

"ksysguard" or "top" should be sufficient for that scope.
You only want to know whether some process or the kernel sucks exceptional amounts of memory when this happens.
For details you'd have to inspect the stat files in /proc
Comment 37 Toralf Förster 2013-05-03 13:04:17 UTC
(In reply to comment #33)
> bug #319255 mentions a possible OOM condition and a leak in kded
> please check the memory distribution of your system if/when you encounter
> this

nope, happens here at a 8GB RAM system too w/o any other load. FWIW it is a 32 bit Gentoo Linux.
Comment 38 Thomas Lübking 2013-05-03 14:10:30 UTC
Created attachment 79666 [details]
validation detection test * NO FIX! *

Can you please try the attached patch (written against master, i'm not 100% sure whether it applies cleanly on 4.10)
It will NOT fix anything and is only for testing, but it will tell us whether eg. effects get un/loaded and active_effects thus pot. invalidated during the screen switch. (You get an abort() and a "GOT YOU!" in return)
Comment 39 Toralf Förster 2013-05-03 16:35:54 UTC
(In reply to comment #38)
> written against master, i'm not 100% sure whether it applies cleanly on 4.10)
yep :
at an almost stable Gentoo :

PATCH COMMAND:  patch -p1 -g0 -E --no-backup-if-mismatch  < '/etc/portage/patches//kde-base/kwin/__test_308201.diff.patch'

====================================
patching file kwin/effects.cpp
Hunk #1 FAILED at 77.
Hunk #2 succeeded at 320 (offset -137 lines).
Hunk #3 succeeded at 361 (offset -137 lines).
Hunk #4 succeeded at 1354 (offset -168 lines).
Hunk #5 succeeded at 1408 (offset -173 lines).
1 out of 5 hunks FAILED -- saving rejects to file kwin/effects.cpp.rej
Comment 40 Thomas Lübking 2013-05-03 17:09:33 UTC
Created attachment 79673 [details]
validation detection test * NO FIX! *

Ok, 'nother try. (Handported, i didn't even check whether it compiles - but i expect it to ;-)
Comment 41 Toralf Förster 2013-05-03 17:36:09 UTC
Created attachment 79675 [details]
New crash information added by DrKonqi

kwin (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

Well, 2nd version of your patch applied cleanly and I could reproduce the bug.
I've to switch from a dual-head solution (internal + external 1680x1024 VGA) to internal display (1440x900), then to move to my TV, then to plugin the VGA from the TV (1360x768) - and the crash occures).

-- Backtrace (Reduced):
#8  0x469ad55f in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0x469aee25 in __GI_abort () at abort.c:91
#10 0xb76c7c8e in KWin::EffectsHandlerImpl::buildQuads (this=0x9525108, w=0x966bb38, quadList=...) at /var/tmp/portage/kde-base/kwin-4.10.2-r1/work/kwin-4.10.2/kwin/effects.cpp:327
#11 0xb76a31b0 in KWin::Scene::Window::buildQuads (this=0x952f068, force=true) at /var/tmp/portage/kde-base/kwin-4.10.2-r1/work/kwin-4.10.2/kwin/scene.cpp:621
#12 0xb76c5d34 in KWin::EffectWindowImpl::buildQuads (this=0x966bb38, force=true) at /var/tmp/portage/kde-base/kwin-4.10.2-r1/work/kwin-4.10.2/kwin/effects.cpp:1593
Comment 42 Thomas Lübking 2013-05-03 17:43:18 UTC
THERE IT IS!

#9  0x469aee25 in __GI_abort () at abort.c:91
                                                      ^^^^^^^^^^^^^
#10 0xb76c7c8e in KWin::EffectsHandlerImpl::buildQuads (this=0x9525108, w=0x966bb38, quadList=...) at /var/tmp/portage/kde-base/kwin-4.10.2-r1/work/kwin-4.10.2/kwin/effects.cpp:327

At quite the end of the patch you'll find a commented line:

+//     m_activeEffects.clear();
please revert the patch, change the line to
+       m_activeEffects.clear();
ie. remove the comment, reapply the patch, recompile, see what happens 

You may still get another abort, please mention that! - it's important to figure the source of this.

After figuring whether this still aborts, just remove the patch and add back only this one line (do you need another patch for this or can you just inject it into kwin/effects.cpp yourself?), then see whether it's fixed - and share your findings.
Comment 43 Toralf Förster 2013-05-03 18:06:33 UTC
Created attachment 79677 [details]
New crash information added by DrKonqi

kwin (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

I changed the patch file according to your suggestions (just removed the commet chars and 1 space) - the application crashed again when I plugged in the VGA adapter of the TV device (just FWIW it does not crash if I plugin a VGA adapter of my other external display - it is the TV, what caused the crash relyable).

-- Backtrace (Reduced):
#8  0x469ad55f in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#9  0x469aee25 in __GI_abort () at abort.c:91
#10 0xb76e6c8e in KWin::EffectsHandlerImpl::buildQuads (this=0xa522538, w=0xa41dfd0, quadList=...) at /var/tmp/portage/kde-base/kwin-4.10.2-r1/work/kwin-4.10.2/kwin/effects.cpp:327
#11 0xb76c21b0 in KWin::Scene::Window::buildQuads (this=0xa521b28, force=true) at /var/tmp/portage/kde-base/kwin-4.10.2-r1/work/kwin-4.10.2/kwin/scene.cpp:621
#12 0xb76e4d34 in KWin::EffectWindowImpl::buildQuads (this=0xa41dfd0, force=true) at /var/tmp/portage/kde-base/kwin-4.10.2-r1/work/kwin-4.10.2/kwin/effects.cpp:1593
Comment 44 Thomas Lübking 2013-05-03 18:22:15 UTC
Yes, still aborts (ie. unloadEffect() is indeed invoked)
Now keep your fingers crossed and test with only that line, but w/o the rest of the patch.

(FWI, an abort is not a segfault, ie. not a real crash - it just means that here's a condition that better should be not and therefore we exit. The commented line clears this condition, but not the condition tracking variable - there's very good chance that the one line will fix it)
Comment 45 Toralf Förster 2013-05-03 19:17:24 UTC
(In reply to comment #44)
works fine with just that line effective (I just commented out all other additional lines of your patch) - thx :-)

BTW - is there any chance to avoid that nagging questions (like "Should the monitor be configured? : yes/no/automatically from now on") completely ? I did not found till now the button to switch off that message, I do like to handle any monitor mode changes by a home-brewed script solution)
Comment 46 Thomas Lübking 2013-05-03 19:29:25 UTC
(In reply to comment #45)
> works fine with just that line effective

Ha!

@Martin, should we beg to pot. get this included in 4.10.3 (if you don't reply before 22:30 i'll just nag the release team on my own behalf ;-)


> BTW - is there any chance to avoid that nagging questions
I've no idea, sorry (wrong product - that will likely be kscreen or krandr/tray)
I handle all this explicitly with a script and a (ok, two) shortcut(s) - fits me better.

> did not found till now the button to switch off that message, I do like to
> handle any monitor mode changes by a home-brewed script solution)

First read, then reply...
Check "kcmshell4 kded" and just disable services like "Display management change monitor" or "kscreen"
Comment 47 Toralf Förster 2013-05-03 19:56:59 UTC
(In reply to comment #46)
> Check "kcmshell4 kded" and just disable services like "Display management
> change monitor" or "kscreen"

cool - thx
Comment 48 Thomas Lübking 2013-05-04 09:53:42 UTC
Git commit 07d3ac9d8c781755d19c71ccde6d182868a2bfb5 by Thomas Lübking.
Committed on 03/05/2013 at 23:12.
Pushed by luebking into branch 'KDE/4.10'.

clear m_activeEffects when effects change

If a screen with different refreshrate is attached, kwin currently resets
the compositor, altering the effect list.
If at the same time quads are rebuilt, the iteration operates on a pot.
invalid list of dangeling active effects.

Many thanks to Toralf Förster for his testing efforts.
FIXED-IN: 4.10.3
REVIEW: 110294
CC: release-team@kde.org

M  +1    -0    kwin/effects.cpp

http://commits.kde.org/kde-workspace/07d3ac9d8c781755d19c71ccde6d182868a2bfb5
Comment 49 Thomas Lübking 2013-05-04 09:57:19 UTC
Git commit ad4b7cfa0ef1c935235071c9bda9196ad7c12239 by Thomas Lübking.
Committed on 03/05/2013 at 23:12.
Pushed by luebking into branch 'master'.

clear m_activeEffects when effects change

If a screen with different refreshrate is attached, kwin currently resets
the compositor, altering the effect list.
If at the same time quads are rebuilt, the iteration operates on a pot.
invalid list of dangeling active effects.

Many thanks to Toralf Förster for his testing efforts.
FIXED-IN: 4.10.3
REVIEW: 110294
CC: release-team@kde.org
(cherry picked from commit 07d3ac9d8c781755d19c71ccde6d182868a2bfb5)

M  +1    -0    kwin/effects.cpp

http://commits.kde.org/kde-workspace/ad4b7cfa0ef1c935235071c9bda9196ad7c12239
Comment 50 Martin Flöser 2013-05-15 06:06:08 UTC
*** Bug 319847 has been marked as a duplicate of this bug. ***